import { post, get } from '@/common/utils/request';

/**
 * 巡检计划汇总
 * @returns {Promise}
 */
export const inspectionPlanPage = (params) => {
  return get('/app-api/app/garden/inspection-plan/page',params);
};

/**
 * 巡检计划明细
 * @returns {Promise}
 */
export const inspectionPlanDetail = (data) => {
  return post('/app-api/app/garden/inspection-plan-detail/get-details',data);
};


/**
 *  巡查计划完成详情
 * @returns {Promise}
 */
export const inspectioDetailByPlanno = (params) => {
  return get('/app-api/app/garden/inspection-plan-commit/get/by/plan_no',params);
};

/**
 *  巡查计划完成详情
 * @returns {Promise}
 */
export const inspectionCreate = (data) => {
  return post('/app-api/app/garden/inspection-plan-commit/create',data);
};
